Debian Bug report logs - #633738
ip6_tunnel: kernel BUG at net_namespace.c:497

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Alexander Clouter <alex@digriz.org.uk>

Date: Wed, 13 Jul 2011 10:51:02 UTC

Severity: important

Tags: lenny, pending, squeeze

Found in version 2.6.32-35

Fixed in version linux-2.6/2.6.32-35squeeze1

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Wed, 13 Jul 2011 10:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Clouter <alex@digriz.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Jul 2011 10:51:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Clouter <alex@digriz.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ip6_tunnel: kernel BUG at net_namespace.c:497
Date: Wed, 13 Jul 2011 10:48:42 +0000
Package: linux-2.6
Version: 2.6.32-35
Severity: important
Tags: squeeze

If have the following in my /etc/network/interfaces file:
----
auto iptv-foobar
iface iptv-foobar inet static
        address 169.254.0.2
        netmask 255.255.255.255
        pointopoint 169.254.0.3

        pre-up    modprobe ip6_tunnel
        pre-up    ip -6 tunnel add iptv-foobar mode ipip6 remote 2001:db8:1::1 local 2001:db8:2::1 ttl 64
        post-down ip tunnel del iptv-foobar

        up        ip link set iptv-foobar multicast on
        up        sysctl -q net.ipv4.conf.iptv-foobar.rp_filter=0
        up        sysctl -q net.ipv4.conf.iptv-foobar.forwarding=0
----

It seems when ip6_tunnel is loaded, I get the following BUG:
----
[   33.135714] kernel BUG at /build/buildd-linux-2.6_2.6.32-35-armel-66FbPF/linux-2.6-2.6.32/debian/build/source_armel_none/net/core/net_namespace.c:497!
[   33.149340] Unable to handle kernel NULL pointer dereference at virtual address 00000000
[   33.157485] pgd = df310000
[   33.160204] [00000000] *pgd=1f0a4031, *pte=00000000, *ppte=00000000
[   33.166643] Internal error: Oops: 817 [#1]
[   33.170756] last sysfs file: /sys/module/ipv6/initstate
[   33.176003] Modules linked in: ip6_tunnel(+) tunnel6 bonding ipv6 iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables dm_mod hmac xgifb(C) sata_mv fb ehci_hcd sha1_generic cfbcopyarea libata mv_cesa usbcore cfbimgblt scsi_mod mv643xx_eth aes_generic libphy inet_lro cfbfillrect nls_base
[   33.207618] CPU: 0    Tainted: G         C  (2.6.32-5-kirkwood #1)
[   33.213831] PC is at __bug+0x1c/0x28
[   33.217418] LR is at __bug+0x18/0x28
[   33.221012] pc : [<c002b7f8>]    lr : [<c002b7f4>]    psr: 60000013
[   33.221018] sp : df333ee8  ip : 0000987a  fp : 0001cf00
[   33.232555] r10: bf24d338  r9 : df332000  r8 : dfb716c0
[   33.237805] r7 : c043af08  r6 : 00000000  r5 : 00000000  r4 : c03d0a34
[   33.244362] r3 : 00000000  r2 : c03b4d2c  r1 : 60000013  r0 : 000000a0
[   33.250921] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment user
[   33.258088] Control: 0005317f  Table: 1f310000  DAC: 00000015
[   33.263860] Process modprobe (pid: 482, stack limit = 0xdf332270)
[   33.269982] Stack: (0xdf333ee8 to 0xdf334000)
[   33.274364] 3ee0:                   c03d0a34 c02397ec c03d0a34 00000000 c043af08 dfb716c0
[   33.282588] 3f00: c043af08 bf24d3d0 dfb71840 00000000 00000000 c03d0a34 bf24f734 c043af08
[   33.290811] 3f20: 40156000 c03d0a34 00000000 c023942c bf24f734 bf252000 c03d0a48 40156000
[   33.299033] 3f40: 00000000 c02395c0 00000000 bf252000 00000000 bf25200c 00000000 c002734c
[   33.307256] 3f60: 000056bc bf24f744 00000000 40156000 00000000 bf24f744 00000000 40156000
[   33.315479] 3f80: c0028048 c00738ec dfb71300 dfb20a80 0001b038 0001b070 00000000 00000000
[   33.323702] 3fa0: 00000080 c0027ea0 0001b070 00000000 40156000 000056bc 0001cfb0 00000000
[   33.331925] 3fc0: 0001b070 00000000 00000000 00000080 00000000 0001b038 00000000 0001cf00
[   33.340149] 3fe0: 0001cfb0 be8f395c 0000b720 400ee1d4 60000010 40156000 00000000 00000000
[   33.348380] [<c002b7f8>] (__bug+0x1c/0x28) from [<c02397ec>] (net_assign_generic+0x3c/0xbc)
[   33.356789] [<c02397ec>] (net_assign_generic+0x3c/0xbc) from [<bf24d3d0>] (ip6_tnl_init_net+0x98/0x19c [ip6_tunnel])
[   33.367378] [<bf24d3d0>] (ip6_tnl_init_net+0x98/0x19c [ip6_tunnel]) from [<c023942c>] (register_pernet_operations+0x40/0xf4)
[   33.378658] [<c023942c>] (register_pernet_operations+0x40/0xf4) from [<c02395c0>] (register_pernet_device+0x20/0x54)
[   33.389240] [<c02395c0>] (register_pernet_device+0x20/0x54) from [<bf25200c>] (ip6_tunnel_init+0xc/0x84 [ip6_tunnel])
[   33.399915] [<bf25200c>] (ip6_tunnel_init+0xc/0x84 [ip6_tunnel]) from [<c002734c>] (do_one_initcall+0x6c/0x1e4)
[   33.410062] [<c002734c>] (do_one_initcall+0x6c/0x1e4) from [<c00738ec>] (sys_init_module+0xc0/0x1f0)
[   33.419241] [<c00738ec>] (sys_init_module+0xc0/0x1f0) from [<c0027ea0>] (ret_fast_syscall+0x0/0x28)
[   33.428333] Code: e1a01000 e59f000c eb0a2ec7 e3a03000 (e5833000)
[   33.434502] ---[ end trace bf87ce5c849aaa8e ]---
Segmentation fault
Failed to bring up iptv-shironeko.
----

This is a regression as I was able to do all this with earlier kernels; definately 2.6.32-34squeeze1.

Cheers

-- Package-specific info:
** Version:
Linux version 2.6.32-5-kirkwood (Debian 2.6.32-35) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Tue Jun 14 23:05:32 UTC 2011

** Command line:
console=ttyS1,115200=panic=10 ubi.mtd=root kw_openrd_init_uart1=232 root=ubi0:rootfs rootfstype=ubifs rw

** Tainted: C (1024)
 * Module from drivers/staging has been loaded.

** Model information
Processor	: Feroceon 88FR131 rev 1 (v5l)
Hardware	: Marvell OpenRD Ultimate Board
Revision	: 0000

** Loaded modules:
Module                  Size  Used by
ext4                  288561  1 
mbcache                 4860  1 ext4
jbd2                   64191  1 ext4
xt_multiport            2341  1 
xfrm_user              18549  4 
xfrm4_tunnel            1407  0 
tunnel4                 2035  1 xfrm4_tunnel
ipcomp                  1698  0 
xfrm_ipcomp             3541  1 ipcomp
esp4                    4791  0 
ah4                     3687  0 
ctr                     3241  0 
twofish                 7467  0 
twofish_common         14498  1 twofish
camellia               21397  0 
serpent                21417  0 
blowfish                8262  0 
cast5                  16967  0 
des_generic            16617  0 
cbc                     2313  0 
xcbc                    2219  0 
rmd160                  8978  0 
sha256_generic          8818  0 
crypto_null             2122  0 
af_key                 32301  0 
sd_mod                 31324  1 
crc_t10dif              1106  1 sd_mod
crc32c                  2562  4 
ib_iser                25362  0 
rdma_cm                22066  1 ib_iser
ib_cm                  34747  1 rdma_cm
iw_cm                   6677  1 rdma_cm
ib_sa                  16138  2 rdma_cm,ib_cm
ib_mad                 33174  2 ib_cm,ib_sa
ib_core                40397  6 ib_iser,rdma_cm,ib_cm,iw_cm,ib_sa,ib_mad
ib_addr                 4427  1 rdma_cm
iscsi_tcp               7899  2 
libiscsi_tcp           11539  1 iscsi_tcp
libiscsi               28796  3 ib_iser,iscsi_tcp,libiscsi_tcp
scsi_transport_iscsi    25860  4 ib_iser,iscsi_tcp,libiscsi
fuse                   51324  3 
bonding                78374  0 
ipv6                  253766  50 ib_addr,bonding
iptable_nat             4297  1 
nf_nat                 13001  1 iptable_nat
nf_conntrack_ipv4      10003  3 iptable_nat,nf_nat
nf_conntrack           49323  3 iptable_nat,nf_nat,nf_conntrack_ipv4
nf_defrag_ipv4           945  1 nf_conntrack_ipv4
ipt_REJECT              1935  2 
xt_tcpudp               2129  11 
iptable_filter          2012  1 
ip_tables               9004  2 iptable_nat,iptable_filter
x_tables               10753  5 xt_multiport,iptable_nat,ipt_REJECT,xt_tcpudp,ip_tables
dm_mod                 56595  3 
hmac                    2475  0 
sata_mv                24398  0 
ehci_hcd               36473  0 
sha1_generic            1717  0 
xgifb                 205970  0 
libata                137894  1 sata_mv
usbcore               122547  2 ehci_hcd
mv_cesa                 9262  0 
fb                     38994  1 xgifb
cfbcopyarea             2577  1 xgifb
cfbimgblt               1721  1 xgifb
scsi_mod              124244  6 sd_mod,ib_iser,iscsi_tcp,libiscsi,scsi_transport_iscsi,libata
nls_base                5367  1 usbcore
mv643xx_eth            22558  0 
aes_generic            32820  1 mv_cesa
libphy                 14836  1 mv643xx_eth
inet_lro                5060  1 mv643xx_eth
cfbfillrect             2788  1 xgifb

** PCI devices:
not available

** Sound cards:

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-5-kirkwood
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-kirkwood depends on:
ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    2.6.32-35  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-kirkwood recommends:
pn  firmware-linux-free           <none>     (no description available)
ii  uboot-mkimage                 0.4        generate kernel image for U-Boot

Versions of packages linux-image-2.6.32-5-kirkwood suggests:
pn  fdutils                       <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-kirkwood is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Thu, 14 Jul 2011 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jul 2011 17:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 633738@bugs.debian.org (full text, mbox):

From: Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>
To: Alexander Clouter <alex@digriz.org.uk>
Cc: 633738@bugs.debian.org
Subject: Re: Bug#633738: ip6_tunnel: kernel BUG at net_namespace.c:497
Date: Thu, 14 Jul 2011 19:03:06 +0200
[Message part 1 (text/plain, inline)]
Alexander Clouter <alex@digriz.org.uk> writes:

Hi,

> [   33.356789] [<c02397ec>] (net_assign_generic+0x3c/0xbc) from [<bf24d3d0>] (ip6_tnl_init_net+0x98/0x19c [ip6_tunnel])
> [   33.367378] [<bf24d3d0>] (ip6_tnl_init_net+0x98/0x19c [ip6_tunnel]) from [<c023942c>] (register_pernet_operations+0x40/0xf4)
> [   33.378658] [<c023942c>] (register_pernet_operations+0x40/0xf4) from [<c02395c0>] (register_pernet_device+0x20/0x54)
> [   33.389240] [<c02395c0>] (register_pernet_device+0x20/0x54) from [<bf25200c>] (ip6_tunnel_init+0xc/0x84 [ip6_tunnel])
> [   33.399915] [<bf25200c>] (ip6_tunnel_init+0xc/0x84 [ip6_tunnel]) from [<c002734c>] (do_one_initcall+0x6c/0x1e4)
> [   33.410062] [<c002734c>] (do_one_initcall+0x6c/0x1e4) from [<c00738ec>] (sys_init_module+0xc0/0x1f0)
> [   33.419241] [<c00738ec>] (sys_init_module+0xc0/0x1f0) from [<c0027ea0>] (ret_fast_syscall+0x0/0x28)
> [   33.428333] Code: e1a01000 e59f000c eb0a2ec7 e3a03000 (e5833000)
> [   33.434502] ---[ end trace bf87ce5c849aaa8e ]---
> Segmentation fault
> Failed to bring up iptv-shironeko.
> ----
>
> This is a regression as I was able to do all this with earlier kernels; definately 2.6.32-34squeeze1.

hm... looks like it's from the backport of mainline commit
d5aa407f59f5b83d2c50ec88f5bf56d40f1f8978. It's changing a call to
register_pernet_gen_device() into a call to
register_pernet_device(). Changing it back to
register_pernet_gen_device() [1] allows to load the ip6_tunnel module but
I've not tested if it was working.

If you want a test kernel for kirkwood with the change, please say it
and I'll build one.

Arnaud

[1]
[263235_tunnel.patch (text/x-diff, inline)]
--- linux-source-2.6.32/net/ipv6/ip6_tunnel.c	2011-06-11 21:10:52.000000000 +0200
+++ linux-source-2.6.32/net/ipv6/ip6_tunnel.c	2011-07-14 18:45:59.000000000 +0200
@@ -1465,7 +1465,7 @@ static int __init ip6_tunnel_init(void)
 {
 	int  err;
 
-	err = register_pernet_device(&ip6_tnl_net_ops);
+	err = register_pernet_gen_device(&ip6_tnl_net_id, &ip6_tnl_net_ops);
 	if (err < 0)
 		goto out_pernet;
 

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Fri, 15 Jul 2011 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jul 2011 14:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 633738@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Arnaud Patard <arnaud.patard@rtp-net.org>, dann frazier <dannf@debian.org>
Cc: 633738@bugs.debian.org
Subject: Re: Bug#633738: ip6_tunnel: kernel BUG at net_namespace.c:497
Date: Fri, 15 Jul 2011 15:15:32 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2011-07-14 at 19:03 +0200, Arnaud Patard wrote:
> Alexander Clouter <alex@digriz.org.uk> writes:
> 
> Hi,
> 
> > [   33.356789] [<c02397ec>] (net_assign_generic+0x3c/0xbc) from [<bf24d3d0>] (ip6_tnl_init_net+0x98/0x19c [ip6_tunnel])
> > [   33.367378] [<bf24d3d0>] (ip6_tnl_init_net+0x98/0x19c [ip6_tunnel]) from [<c023942c>] (register_pernet_operations+0x40/0xf4)
> > [   33.378658] [<c023942c>] (register_pernet_operations+0x40/0xf4) from [<c02395c0>] (register_pernet_device+0x20/0x54)
> > [   33.389240] [<c02395c0>] (register_pernet_device+0x20/0x54) from [<bf25200c>] (ip6_tunnel_init+0xc/0x84 [ip6_tunnel])
> > [   33.399915] [<bf25200c>] (ip6_tunnel_init+0xc/0x84 [ip6_tunnel]) from [<c002734c>] (do_one_initcall+0x6c/0x1e4)
> > [   33.410062] [<c002734c>] (do_one_initcall+0x6c/0x1e4) from [<c00738ec>] (sys_init_module+0xc0/0x1f0)
> > [   33.419241] [<c00738ec>] (sys_init_module+0xc0/0x1f0) from [<c0027ea0>] (ret_fast_syscall+0x0/0x28)
> > [   33.428333] Code: e1a01000 e59f000c eb0a2ec7 e3a03000 (e5833000)
> > [   33.434502] ---[ end trace bf87ce5c849aaa8e ]---
> > Segmentation fault
> > Failed to bring up iptv-shironeko.
> > ----
> >
> > This is a regression as I was able to do all this with earlier kernels; definately 2.6.32-34squeeze1.
> 
> hm... looks like it's from the backport of mainline commit
> d5aa407f59f5b83d2c50ec88f5bf56d40f1f8978. It's changing a call to
> register_pernet_gen_device() into a call to
> register_pernet_device().
[...]

Right.  And it looks like this affects lenny as well (since
2.6.26-26lenny3).

Ben.

-- 
Ben Hutchings
Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Fri, 15 Jul 2011 19:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jul 2011 19:27:07 GMT) Full text and rfc822 format available.

Message #20 received at 633738@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: 633738-submitter@bugs.debian.org
Cc: Arnaud Patard <arnaud.patard@rtp-net.org>, 633738@bugs.debian.org, control@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#633738: ip6_tunnel: kernel BUG at net_namespace.c:497
Date: Fri, 15 Jul 2011 13:24:39 -0600
tags 633738 + lenny
thanks

On Fri, Jul 15, 2011 at 03:15:32PM +0100, Ben Hutchings wrote:
> On Thu, 2011-07-14 at 19:03 +0200, Arnaud Patard wrote:
> > Alexander Clouter <alex@digriz.org.uk> writes:
> > 
> > Hi,
> > 
> > > [   33.356789] [<c02397ec>] (net_assign_generic+0x3c/0xbc) from [<bf24d3d0>] (ip6_tnl_init_net+0x98/0x19c [ip6_tunnel])
> > > [   33.367378] [<bf24d3d0>] (ip6_tnl_init_net+0x98/0x19c [ip6_tunnel]) from [<c023942c>] (register_pernet_operations+0x40/0xf4)
> > > [   33.378658] [<c023942c>] (register_pernet_operations+0x40/0xf4) from [<c02395c0>] (register_pernet_device+0x20/0x54)
> > > [   33.389240] [<c02395c0>] (register_pernet_device+0x20/0x54) from [<bf25200c>] (ip6_tunnel_init+0xc/0x84 [ip6_tunnel])
> > > [   33.399915] [<bf25200c>] (ip6_tunnel_init+0xc/0x84 [ip6_tunnel]) from [<c002734c>] (do_one_initcall+0x6c/0x1e4)
> > > [   33.410062] [<c002734c>] (do_one_initcall+0x6c/0x1e4) from [<c00738ec>] (sys_init_module+0xc0/0x1f0)
> > > [   33.419241] [<c00738ec>] (sys_init_module+0xc0/0x1f0) from [<c0027ea0>] (ret_fast_syscall+0x0/0x28)
> > > [   33.428333] Code: e1a01000 e59f000c eb0a2ec7 e3a03000 (e5833000)
> > > [   33.434502] ---[ end trace bf87ce5c849aaa8e ]---
> > > Segmentation fault
> > > Failed to bring up iptv-shironeko.
> > > ----
> > >
> > > This is a regression as I was able to do all this with earlier kernels; definately 2.6.32-34squeeze1.
> > 
> > hm... looks like it's from the backport of mainline commit
> > d5aa407f59f5b83d2c50ec88f5bf56d40f1f8978. It's changing a call to
> > register_pernet_gen_device() into a call to
> > register_pernet_device().
> [...]
> 
> Right.  And it looks like this affects lenny as well (since
> 2.6.26-26lenny3).

Yep, I used basically the same backport for both updates. Apologies
for the regression. 

Alexander,
  I'd appreciate it if you could test Arnaud's proposed fix in your
configuration to help verify that no other issues remain.






Added tag(s) lenny. Request was from dann frazier <dannf@dannf.org> to control@bugs.debian.org. (Fri, 15 Jul 2011 19:27:08 GMT) Full text and rfc822 format available.

Message sent on to Alexander Clouter <alex@digriz.org.uk>:
Bug#633738. (Fri, 15 Jul 2011 19:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Fri, 15 Jul 2011 21:12:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Clouter <alex@digriz.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jul 2011 21:12:53 GMT) Full text and rfc822 format available.

Message #30 received at 633738@bugs.debian.org (full text, mbox):

From: Alexander Clouter <alex@digriz.org.uk>
To: dann frazier <dannf@dannf.org>, 633738-quiet@bugs.debian.org
Cc: 633738-submitter@bugs.debian.org, Arnaud Patard <arnaud.patard@rtp-net.org>, 633738@bugs.debian.org, control@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#633738: ip6_tunnel: kernel BUG at net_namespace.c:497
Date: Fri, 15 Jul 2011 22:00:35 +0100
* dann frazier <dannf@dannf.org> [2011-07-15 13:24:39-0600]:
>
> tags 633738 + lenny
> 
> > > > This is a regression as I was able to do all this with earlier kernels; definately 2.6.32-34squeeze1.
> > > 
> > > hm... looks like it's from the backport of mainline commit
> > > d5aa407f59f5b83d2c50ec88f5bf56d40f1f8978. It's changing a call to
> > > register_pernet_gen_device() into a call to
> > > register_pernet_device().
> > [...]
> > 
> > Right.  And it looks like this affects lenny as well (since
> > 2.6.26-26lenny3).
> 
> Yep, I used basically the same backport for both updates. Apologies
> for the regression. 
> 
> Alexander,
>   I'd appreciate it if you could test Arnaud's proposed fix in your
> configuration to help verify that no other issues remain.
> 
I can test it on an orion5x (armel) platform this weekend (and amd64), 
but on if you wanted it tested on a kirkwood device I cannot do that 
till Tuesday at the earliest.

Looks to me that an amd64 test would be the most straight forward to do 
as it is not an ARM specific bug.

Cheers

-- 
Alexander Clouter
.sigmonster says: BOFH excuse #412:
                  Radial Telemetry Infiltration




Information stored :
Bug#633738; Package linux-2.6. (Fri, 15 Jul 2011 21:15:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Clouter <alex@digriz.org.uk>:
Extra info received and filed, but not forwarded. (Fri, 15 Jul 2011 21:15:28 GMT) Full text and rfc822 format available.

Message sent on to Alexander Clouter <alex@digriz.org.uk>:
Bug#633738. (Fri, 15 Jul 2011 21:15:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Fri, 15 Jul 2011 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jul 2011 21:18:04 GMT) Full text and rfc822 format available.

Message #43 received at 633738@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alexander Clouter <alex@digriz.org.uk>
Cc: dann frazier <dannf@dannf.org>, 633738-quiet@bugs.debian.org, 633738-submitter@bugs.debian.org, Arnaud Patard <arnaud.patard@rtp-net.org>, 633738@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#633738: ip6_tunnel: kernel BUG at net_namespace.c:497
Date: Fri, 15 Jul 2011 22:11:26 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-07-15 at 22:00 +0100, Alexander Clouter wrote:
> * dann frazier <dannf@dannf.org> [2011-07-15 13:24:39-0600]:
> >
> > tags 633738 + lenny
> > 
> > > > > This is a regression as I was able to do all this with earlier kernels; definately 2.6.32-34squeeze1.
> > > > 
> > > > hm... looks like it's from the backport of mainline commit
> > > > d5aa407f59f5b83d2c50ec88f5bf56d40f1f8978. It's changing a call to
> > > > register_pernet_gen_device() into a call to
> > > > register_pernet_device().
> > > [...]
> > > 
> > > Right.  And it looks like this affects lenny as well (since
> > > 2.6.26-26lenny3).
> > 
> > Yep, I used basically the same backport for both updates. Apologies
> > for the regression. 
> > 
> > Alexander,
> >   I'd appreciate it if you could test Arnaud's proposed fix in your
> > configuration to help verify that no other issues remain.
> > 
> I can test it on an orion5x (armel) platform this weekend (and amd64), 
> but on if you wanted it tested on a kirkwood device I cannot do that 
> till Tuesday at the earliest.
> 
> Looks to me that an amd64 test would be the most straight forward to do 
> as it is not an ARM specific bug.

Indeed not.  Of course, you should verify that it does affect amd64
before testing that the fix works there.

Ben.

-- 
Ben Hutchings
Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#633738; Package linux-2.6. (Fri, 15 Jul 2011 21:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and filed, but not forwarded. (Fri, 15 Jul 2011 21:18:06 GMT) Full text and rfc822 format available.

Message sent on to Alexander Clouter <alex@digriz.org.uk>:
Bug#633738. (Fri, 15 Jul 2011 21:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Wed, 20 Jul 2011 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Clouter <alex@digriz.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 20 Jul 2011 20:21:05 GMT) Full text and rfc822 format available.

Message #56 received at 633738@bugs.debian.org (full text, mbox):

From: Alexander Clouter <alex@digriz.org.uk>
To: dann frazier <dannf@dannf.org>, 633738-quiet@bugs.debian.org
Cc: 633738-submitter@bugs.debian.org, Arnaud Patard <arnaud.patard@rtp-net.org>, 633738@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#633738: ip6_tunnel: kernel BUG at net_namespace.c:497
Date: Wed, 20 Jul 2011 21:19:07 +0100
* dann frazier <dannf@dannf.org> [2011-07-15 13:24:39-0600]:
>
> I'd appreciate it if you could test Arnaud's proposed fix in your 
> configuration to help verify that no other issues remain.
> 
Applying the patch fixes the problem and the tunnel works as expected.

Cheers

-- 
Alexander Clouter
.sigmonster says: You will forget that you ever knew me.




Information stored :
Bug#633738; Package linux-2.6. (Wed, 20 Jul 2011 20:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Clouter <alex@digriz.org.uk>:
Extra info received and filed, but not forwarded. (Wed, 20 Jul 2011 20:21:08 GMT) Full text and rfc822 format available.

Message sent on to Alexander Clouter <alex@digriz.org.uk>:
Bug#633738. (Wed, 20 Jul 2011 20:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Wed, 20 Jul 2011 21:24:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 20 Jul 2011 21:24:28 GMT) Full text and rfc822 format available.

Message #69 received at 633738@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: Alexander Clouter <alex@digriz.org.uk>
Cc: 633738-quiet@bugs.debian.org, 633738-submitter@bugs.debian.org, Arnaud Patard <arnaud.patard@rtp-net.org>, 633738@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#633738: ip6_tunnel: kernel BUG at net_namespace.c:497
Date: Wed, 20 Jul 2011 15:08:31 -0600
On Wed, Jul 20, 2011 at 09:19:07PM +0100, Alexander Clouter wrote:
> * dann frazier <dannf@dannf.org> [2011-07-15 13:24:39-0600]:
> >
> > I'd appreciate it if you could test Arnaud's proposed fix in your 
> > configuration to help verify that no other issues remain.
> > 
> Applying the patch fixes the problem and the tunnel works as expected.

Excellent, thanks for your testing and feedback. I'll get a fix
committed shortly.




Information stored :
Bug#633738; Package linux-2.6. (Wed, 20 Jul 2011 21:25:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and filed, but not forwarded. (Wed, 20 Jul 2011 21:25:22 GMT) Full text and rfc822 format available.

Message sent on to Alexander Clouter <alex@digriz.org.uk>:
Bug#633738. (Wed, 20 Jul 2011 21:25:28 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Thu, 21 Jul 2011 07:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#633738; Package linux-2.6. (Sun, 24 Jul 2011 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Lühr <jluehr@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 24 Jul 2011 09:30:05 GMT) Full text and rfc822 format available.

Message #84 received at 633738@bugs.debian.org (full text, mbox):

From: Jan Lühr <jluehr@gmx.net>
To: 633738@bugs.debian.org
Subject: Here, too
Date: Sun, 24 Jul 2011 11:26:26 +0200
Hello,

same' here - running squeeze / 2.6.32-5-vserver-amd64 #1 SMP Tue Jun 14 11:50:10 UTC 2011 x86_64 GNU/Linux
This seems to be a regression coming from one of the latest security updates. It haven't occurred a few months before ...


[1772617.686367] ------------[ cut here ]------------
[1772617.689014] kernel BUG at /build/buildd-linux-2.6_2.6.32-35-amd64-aZSlKL/linux-2.6-2.6.32/debian/build/source_amd64_vserver/net/core/net_namespace.c:497!
[1772617.689014] invalid opcode: 0000 [#1

Keep smiling
yanosz



Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Tue, 13 Sep 2011 20:00:09 GMT) Full text and rfc822 format available.

Notification sent to Alexander Clouter <alex@digriz.org.uk>:
Bug acknowledged by developer. (Tue, 13 Sep 2011 20:00:09 GMT) Full text and rfc822 format available.

Message #89 received at 633738-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 633738-close@bugs.debian.org
Subject: Bug#633738: fixed in linux-2.6 2.6.32-35squeeze1
Date: Tue, 13 Sep 2011 19:57:25 +0000
Source: linux-2.6
Source-Version: 2.6.32-35squeeze1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-35squeeze1_all.deb
linux-2.6_2.6.32-35squeeze1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-35squeeze1.diff.gz
linux-2.6_2.6.32-35squeeze1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-35squeeze1.dsc
linux-base_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-35squeeze1_all.deb
linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
linux-libc-dev_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-35squeeze1_i386.deb
linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
linux-source-2.6.32_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-35squeeze1_all.deb
linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633738@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Aug 2011 09:02:10 -0600
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all i386
Version: 2.6.32-35squeeze1
Distribution: stable-security
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 632923 633738
Changes: 
 linux-2.6 (2.6.32-35squeeze1) stable-security; urgency=high
 .
   [ dann frazier ]
   * Fix regression in fix for CVE-2011-1768 (Closes: #633738)
   * net: Fix memory leak/corruption on VLAN GRO_DROP (CVE-2011-1576)
   * taskstats: don't allow duplicate entries in listener mode (CVE-2011-2484)
   * NLM: Don't hang forever on NLM unlock requests (CVE-2011-2491)
   * Bluetooth: l2cap/rfcomm: fix 1 byte infoleak to userspace (CVE-2011-2492)
   * proc: restrict access to /proc/PID/io (CVE-2011-2495)
   * vm: fix vm_pgoff wrap in up/down stack expansions (CVE-2011-2496)
   * Bluetooth: Prevent buffer overflow in l2cap config request (CVE-2011-2497)
   * nl80211: fix check for valid SSID size in scan operations
   * net_sched: Fix qdisc_notify() (CVE-2011-2525)
   * gro: Only reset frag0 when skb can be pulled (CVE-2011-2723)
   * comedi: fix infoleak to userspace (CVE-2011-2909)
   * restrict access to /proc/pid/* after setuid exec (CVE-2011-1020)
   * cifs: fix possible memory corruption in CIFSFindNext (CVE-2011-3191)
   * befs: Validate length of long symbolic links (CVE-2011-2928)
   * perf overflow/perf_count_sw_cpu_clock crash (CVE-2011-2918)
 .
   [ Moritz Muehlenhoff ]
   * si4713-i2c: avoid potential buffer overflow on si4713 (CVE-2011-2700)
   * Switch to MD5 for sequence number generation (CVE-2011-3188)
 .
   [ Jonathan Nieder ]
   * perf: do not look at ./config for configuration (Closes: #632923)
     (CVE-2011-2905)
Checksums-Sha1: 
 f54a947ac02ab488d8c45ef21dd0ba3b8ded2e7f 7007 linux-2.6_2.6.32-35squeeze1.dsc
 fa0f65ff60223a0f08d15fccb01e67197df68be8 15132559 linux-2.6_2.6.32-35squeeze1.diff.gz
 1d765bf1ddc2fdf0cca3400092375629ddf4f400 6060736 linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
 a3c47acd7181382e239ba4aa5a2aea48713db64c 2737340 linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
 42540d9e79803d76f2370c00095bf34c360287b8 8352402 linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
 c0e31697f486c819596db585a844961e4f7e1c0e 65234970 linux-source-2.6.32_2.6.32-35squeeze1_all.deb
 01ec776f39678dad278fa8a3826d8d7333984886 162728 linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
 f6368d367f78bcd0d19c25880c31b329bf270691 151276 firmware-linux-free_2.6.32-35squeeze1_all.deb
 26b7ca7488d8c16f677efe872ef4a8280cf21e27 173350 linux-base_2.6.32-35squeeze1_all.deb
 5d59d27105ffa2680ca799f0b46a7adb9e98be99 27445538 linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 10f164e72360d983b05d0d1982670e8587c7241e 495598 linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 787a346fffa17dfcef3dd4697e29382a155c4ee8 27587926 linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 61bc744da31dc733ac5837f5eb8fec817bc13090 496686 linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 48dc69aee0b2d4fafc794aff798c613d36e36e7c 27786998 linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 f8c17181f18cc94ce02e6c757259595f8cc04a41 417842922 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 269cc7e51a8d0d1ec6e41815a41c3d6374a49e8f 537320 linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 b4095de90e0bbac9c5d9408ad513285f5f9fa0ea 28670298 linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 722abe3afcfeed8fdca34c56cf6be1aca440f509 491130 linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 097421c0aeb12e3d371184f243812cc35b2d5346 3897368 linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
 74f9a6036280ed91d1c83d6a49ab77bec2238324 27930988 linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 618b4257971e45490bdb985d367250ffad089d0d 494317700 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
 0545c879f3e277b245df0780c85245a773ad3c51 562440 linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 76b1f18fc145df6b62f9760925ee915f487bc28b 3949304 linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
 901568855937f7a98491d96c28df01a16694087b 146488 linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
 88b6e8d04be8767989b8e9210070dd45beaedf0a 146536 linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
 452fc96720e47a158557b4895040a7eef2930598 843990 linux-libc-dev_2.6.32-35squeeze1_i386.deb
 d8787780c920329f393de832b1ba41780af5409a 320408 linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
 e13859ab72ff8864cab22eeab0db408481e3bb60 27647464 linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 b5e8b65463eae55e5266887c2df594f4265c7b99 497322 linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 2b47c56733a8b9ade495b8db3cbb0774c309d789 27844064 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 78fa17735254910f03478544331d8673d1ade09f 428573946 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 0ecc87a9b942970f26914167d10d2d878ee9d19d 538260 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 896ad06595d7a130f84c9688522a0deb3a013b97 3930552 linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
 b62695b181678e9ecec80f12715ca0d236d34f00 27869992 linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 fb71dceac0a42f0b970f34a970508f45cfc0ac42 421379010 linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
 988e4f5ea7a3583c78f783f363d07460dc561a08 538910 linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 ff5b74d1676a498ca6ba7ca7e6b9d2221be5af24 146476 xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 35e92a7303c38c48cf96d892243a6f1f51ba055b 3915350 linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb
Checksums-Sha256: 
 47b804873a9c810b291b5c1b90904ab764dbebed6e73bab1d2775ad909ec048a 7007 linux-2.6_2.6.32-35squeeze1.dsc
 8833b77d83152a53ae2bae2914aae87f96d30e49723e07be2939dfb068155718 15132559 linux-2.6_2.6.32-35squeeze1.diff.gz
 950c9e93fef0d0864c19f31708d6228ccca27b9a08bba4ce44aa54efa9ec4d1c 6060736 linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
 1e116bc3e4fabe05169dee8fdbf3cc561cb1fca9186f7c661acede744b6742af 2737340 linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
 d5328526ea25c24ea7aaf2acac7071a7a941130801b1d953aebc487940d76cbd 8352402 linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
 573f5eff2f967c641f2ac6d96e6ed6a6c7d9b1bd38dbdeb83942672c650ee2ad 65234970 linux-source-2.6.32_2.6.32-35squeeze1_all.deb
 ef225153291e3e63d2f58e1ff41b85b4062d625abacc2128f44acce0caf1d749 162728 linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
 64f2c9502b2bf060a75e478fe6ad9b9181ae4f38e3d5adf8d0e424387a67ec3a 151276 firmware-linux-free_2.6.32-35squeeze1_all.deb
 ac47ba7c20c1014b35e32095ce305ad1395cad9fa876c9c59d70739fad39626e 173350 linux-base_2.6.32-35squeeze1_all.deb
 f6353e86c57c11aff57b142d9f7bb4ceafde1ae714e4bbd591ffcd563c2d886e 27445538 linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 030da3b48c5333c97f02add45e3529f4b66036d0762b464763764ab4469b3ce1 495598 linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 76ebba136d3bbd01b6a8f5a95f29cd0fad81592f2c956451b424bea0b19c7aa4 27587926 linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 f7cdedbbf5cb22e3bc6009ce48133538f508b0888af1cebe7a1103cd77064cb7 496686 linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 04e2586a40b8042ea86caf8c6489bf337d97edb9b770a284306c7b3c58f6615b 27786998 linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 ce8c3230bfd339683f18bc125a1f56e112879b6407d50025711e91ebb1ce9628 417842922 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 e30f85a77876b6bd058f627b7cb9311c33ba2ee67b45550981b9200b07aff4f2 537320 linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 9d33c784beddb16df7d3a1056b5e38052553264f9d61f580aa191140d16e3dbc 28670298 linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 bbe6687770c5120de89265743ec80f4404346d3da9c6166c0ae0a3530bc49cce 491130 linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 e3593b403b6dc59bfab40e55a999ce8247e27192152d94b58d96f240eab063f2 3897368 linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
 3ac3ffc9e5c264adf053298db3b7421ad5e0fc4367ecc0e24f7ae48434f7141c 27930988 linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 1ee7f7f83b51e6365a0bd5aba56f22ac711db79b94d98448d865add36457f0ae 494317700 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
 883b81534d73cd41933703fa3cf2d246a8386992eaf4b9113b43ec8892e1fe80 562440 linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 b5c8c0197e2972f5c9f44f62b99349966e957781ff00ad6916cd26a584f63b6b 3949304 linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
 01f7564523b51238e05ec2399c1645fb048c3ff91f54b1ab417de3028282b9ff 146488 linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
 a25a85ef7fdc1bf38017729a70c02457efc85a43532453c9e87880c610f7d7f3 146536 linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
 431c01f97845c775869419aac13643f2fe8cd9ea4019089deda76bbdebdc9f24 843990 linux-libc-dev_2.6.32-35squeeze1_i386.deb
 817cedcf7eec250e247690e9df165513fad58d59f5a917ea5c88fdc4a8cf3f05 320408 linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
 82935a6d0163213589d56dd110a049abd971fcbf030af3453fbb4a6d9736cb06 27647464 linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 f1f0c073db6706db7d466e21fd87c14ececd9dfff2a09e6596de56d735812af8 497322 linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 196d5cf9932c37da7158f887287e6414ea1c2894990fb8bbd64e60ff0a11cfd0 27844064 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 be48090b5069182126893f9e286d1c25b7670a4368dd4595338c52cd3105c666 428573946 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 1b2917947b837fae5c773ff4753089654dd44a3c7010c3ad9bd7201ddb509306 538260 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 e3beb502d93a289f391f1f84c46715672943e0a42c0d8fdbe97a85d5372ff384 3930552 linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
 e2292013a6483ea58b627851128fce911a12b8a6267a8cb967cc841c749da815 27869992 linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 98b8e3cab9a4daddbbd4b289b77458dd3ff8a718d5d08f2bd350ebd99ac9f1c4 421379010 linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
 f073c360ce66975b4738abd53a98358007ea69de14c4e50a3d2159f040027845 538910 linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 85c70d205b5c0c9471714ebf15094d1c1b475c15216fece3e5a032b90a276d50 146476 xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 44ea176b542246993894d0927acf1813db9d485bb992052589d50bee23da454b 3915350 linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb
Files: 
 564e96e6e139ae2895c1fb5d7871596e 7007 kernel optional linux-2.6_2.6.32-35squeeze1.dsc
 66449c52404dc4f207234ae2930b29c4 15132559 kernel optional linux-2.6_2.6.32-35squeeze1.diff.gz
 c6066acf9965a52718ccb2d853e0a620 6060736 doc optional linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
 823b9fe2753e75b2d5712476f2aa8f81 2737340 doc optional linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
 37df06c08df3c79a0c09554ccae49080 8352402 kernel optional linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
 2741a08bdd72314def4a038bf1d90dd0 65234970 kernel optional linux-source-2.6.32_2.6.32-35squeeze1_all.deb
 d03b448197aabcde792b71330738f196 162728 devel optional linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
 76b47cc4a9ba9c4ac12bc6f8fdf03671 151276 kernel optional firmware-linux-free_2.6.32-35squeeze1_all.deb
 96be3e4297c284fd03869d84ee64f7eb 173350 kernel optional linux-base_2.6.32-35squeeze1_all.deb
 94c37fce97709ac4f3cc039df2ce34ca 27445538 kernel optional linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 73be80e7c355a1f9be0e5d853df84b6b 495598 kernel optional linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 4cc1207f11d339e3f53ce29fad740723 27587926 kernel optional linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 e796434269b0532906bf3e24aa1932a0 496686 kernel optional linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 1042434adc86addcd9cf1b6526c64af5 27786998 kernel optional linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 384be9a970be0c70dfdb91cee39dac32 417842922 debug extra linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 d68fd106c2788a2fe2020254f7246107 537320 kernel optional linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 dc9d7014e3bb84486a96d2d7352d6935 28670298 kernel optional linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 99dbdaed7e2676b58946180a051a15eb 491130 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 9c3cdef5e611c227574e2d76c0862a8f 3897368 kernel optional linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
 baa84f4c0245bc3d9faa3159b317258b 27930988 kernel optional linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 f7d127f5fa25448dc58e695d38494841 494317700 debug extra linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
 316504c8d8e53b63e2d8a45f748b27cd 562440 kernel optional linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 41027dcebb8174b747a162167ee89260 3949304 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
 ca0fcbacd8c5377d122919e73e1f1a38 146488 kernel optional linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
 04b5160adf6251335b1700418c98df4a 146536 kernel optional linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
 f1a2192bb1b30f5a03474cec03809585 843990 devel optional linux-libc-dev_2.6.32-35squeeze1_i386.deb
 19ddaa9e230300396ab393b05dbb68d4 320408 kernel optional linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
 dc9efcda9f2ca4c20a613e31c5ab1587 27647464 kernel optional linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 04d2ab62cb2c63880c8da88667471e2e 497322 kernel optional linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 00b138194bf6094a132fb44ff73197d1 27844064 kernel optional linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 b8093cccc5bf918e512c0a8d734ae59c 428573946 debug extra linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 0cebae40513ef907840402c843b24c89 538260 kernel optional linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 6d762f7e4cba66448153d448fb62e7b9 3930552 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
 de0c972b91b1df4b556ae2b6186a20df 27869992 kernel optional linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 d2094245cbbe8f490427254a0e0130cb 421379010 debug extra linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
 1f4d9572e242dd080a40c8631a312d77 538910 kernel optional linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 ffee8d29353d67652f1f006744a79de9 146476 kernel optional xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 d6620ee25606c04b5cb290397db16d0a 3915350 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOXQnKAAoJEBv4PF5U/IZA63sP+gPEFe5kzMrHSVZ8G/hqiNwB
QRJwxKIN+7ajuC6/7CVStN9YR7f7WGFKg6/Vzq3ahjCI6pJphDGnT3a9FTN4flQe
HNAT4wS2NCrSQcxpDyy5qxyHMoEP5CENklaTfrQYEI+V1KfRQ3k5fTq7aDnuwLf8
ZIUWk6rjg/zoPuGL4oJ1NeBANdaTRhNwyFns+ehf7j4reRkfJvxdoe8J1nBbccCb
O5DVM3iYZTehOmjjhBgO13SH+K5O12qoQWjkq9PnAauGrYaJLwaKm5t2tV51NVG8
Flz0Fpq4cqmgMdOsJHWwlGPOxE4/j2azUfboxdfeEMAKpICFI97oCE2sqlx/4aju
6zDolbo8JPCCJGHhjet51Yg2Y/VNHmFu1Ya0QQUVgAz1sxFOAGho+QEBei189tzh
OTy2N7j5epoZ+8K0Q4tO3/oat/BJ6SqVtu3R8w7fHJu/I+eISGjVn7y68Ez3EG9M
JBxLnAKq0OH0R1hIfjtBLauGzuwxc5g/T2CiQHZyMp6zP8t2b4yKajbuo1dz8H8Q
HhY5sEC9SDelnL/CpbT60w+QxBOEi9E7NYTVDCv9cpgM+DHKlzBlT4WYZAK0vtau
GGnnCNp+hXg3j3eTweEniPouLrdiYzo/RuQ7zez0Qj9ZcvoC5AUmzaQP/5BoDB55
SSAvWLBJfX5eQK3Qk8UX
=VqF9
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Tue, 20 Sep 2011 03:51:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Oct 2011 07:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:30:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.